Browse code

errexit for build_kvm.sh

Jesse Andrews authored on 2011/10/25 04:42:43
Showing 1 changed files
... ...
@@ -1,5 +1,8 @@
1 1
 #!/usr/bin/env bash
2 2
 
3
+# exit on error to stop unexpected errors
4
+set -o errexit
5
+
3 6
 # Make sure that we have the proper version of ubuntu
4 7
 UBUNTU_VERSION=`cat /etc/lsb-release | grep CODENAME | sed 's/.*=//g'`
5 8
 if [ ! "oneiric" = "$UBUNTU_VERSION" ]; then